/*
 * @Author: zc
 * @Description: 工单管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
import qs from 'qs';
/**
 * 列表页面基础数据
 * @param {}
 */
export function listBaseData() {
    return request({
        url: `/api/v1/Order/base-data`,
        method: 'get',
        
    });
}
/**
 * 工单列表
 * @param {any} params
 */
export function orderList(params:any) {
    return request({
        url: `/api/v1/Order?${qs.stringify(params)}`,
        method: 'get',
    });
}
/**
 * 历史工单
 * @param {object} params
 */
export function historyOrder(params:object) {
    return request({
        url: `/api/v1/Order/history`,
        method: 'get',
        params
    });
}
/**
 * 新增工单
 * @param {object} data
 */
export function orderAdd(data:object) {
    return request({
        url: `/api/v1/Order`,
        method: 'post',
        data
    });
}
/**
 * 更新工单
 * @param {object} data
 */
export function orderEdit(data:object) {
    return request({
        url: `/api/v1/Order`,
        method: 'put',
        data
    });
}
/**
 * 工单详情
 * @param {string} id
 */
export function orderDetail(id:string | any[]) {
    return request({
        url: `/api/v1/Order/${id}`,
        method: 'get',
    });
}
/**
 * 删除工单
 * @param {string} id
 */
export function orderDelete(id:string) {
    return request({
        url: `/api/v1/Order/${id}`,
        method: 'delete',
    });
}
/**
 * 开始流程
 * @param {string} id 工单id
 * @param {object} data 开启参数
 */
export function orderStartflow(id:string,data:object) {
    return request({
        url: `/api/v1/Order/${id}/startflow`,
        method: 'post',
        data
    });
}
/**
 * 查询工单办理流程开启参数
 * @param {object}params
 */
export function OrderFlowParams(params?:object) {
    return request({
        url: `/api/v1/Order/flow-start`,
        method: 'get',
        params
    });
}
/**
 * 新增页面基础数据
 * @param {object} params
 */
export function orderBasedataAdd(params?:object) {
    return request({
        url: `/api/v1/Order/base-data-add`,
        method: 'get',
        params
    });
}
/**
 * 扩展表单页面基础数据
 * @param {object} params
 */
export function orderBaseExt(params?:object) {
    return request({
        url: `/api/v1/Order/base-data-ext`,
        method: 'get',
        params
    });
}
/**
 * 获取热点下一级
 * @param {object} params
 */
export function hotspottype(params?:object) {
    return request({
        url: `/api/v1/HotSpot/children`,
        method: 'get',
        params
    });
}
/**
 * 查询热点数据（包含所有根目录及所查热点的所有上级对象） 编辑页面使用
 * @param {object} params
 */
export function hotspotWithParents(id:object) {
    return request({
        url: `/api/v1/HotSpot/${id}/with-parents`,
        method: 'get'
    });
}